Bug 142821 - Want option to see more effect info in the list of effects
Summary: Want option to see more effect info in the list of effects
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Animation
  Show dependency treegraph
 
Reported: 2021-06-12 16:29 UTC by Eyal Rozenberg
Modified: 2022-05-27 09:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eyal Rozenberg 2021-06-12 16:29:31 UTC
Occasionally I have multiple animation effects which are of the same category, but of different effect options, which makes all the difference - e.g. font change to green vs font change to red. It's difficult to locate where the "Greens" end and the "Reds" begin in the list of effects, because the only thing you see is "Font Color Change".

Seeing how there is some empty space in the rectangle used in the list of animations, it would be nice if we could - optionally or by default - see more of the effect details in the list.
Comment 1 Roman Kuznetsov 2022-05-20 19:55:15 UTC
Please describe more details about your suggestion. What details about animation effects do you want see additionally?

Added UX-team.
Comment 2 Eyal Rozenberg 2022-05-20 22:00:35 UTC
(In reply to Roman Kuznetsov from comment #1)
> Please describe more details about your suggestion. What details about
> animation effects do you want see additionally?

Like I said - the details in the effect options settings. If all details are too much, then as much as the design team thinks would reasonably fit in (or even make it controllable by some pref).
Comment 3 Heiko Tietze 2022-05-23 07:00:36 UTC
Introduced a splitter for bug 145037 allowing to see either more applied animations or more effects. OP is not happy, you can't do right for everyone ;-)

*** This bug has been marked as a duplicate of bug 145037 ***
Comment 4 Telesto 2022-05-23 07:08:31 UTC
(In reply to Heiko Tietze from comment #3)
> Introduced a splitter for bug 145037 allowing to see either more applied
> animations or more effects. OP is not happy, you can't do right for everyone
> ;-)
> 
> *** This bug has been marked as a duplicate of bug 145037 ***

Well the reporter of bug 145037 isn't to enthusiastic either :-). Started complaining again with bug 149030. But well, maybe it's me..
Comment 5 Eyal Rozenberg 2022-05-23 07:24:24 UTC
(In reply to Heiko Tietze from comment #3)

First, I really don't understand bug 145037 (and commented there). Regardless - I'm not asking for a different partition of the side-bar, but rather more content in the existing animations list, with the existing dimensions of the list and even the existing dimensions of list items.
Comment 6 Heiko Tietze 2022-05-23 07:27:49 UTC
Between the (applied) animations list and the (available) effects section is a splitter that allows to size the controls to your preferences. What exactly do you have in mind beyond this?
Comment 7 Eyal Rozenberg 2022-05-23 08:01:32 UTC
(In reply to Heiko Tietze from comment #6)
> Between the (applied) animations list and the (available) effects section is
> a splitter that allows to size the controls to your preferences. What
> exactly do you have in mind beyond this?

I don't want to see more _effects_, I want the list entry for each effect to be more informative. Those are orthogonal issues.
Comment 8 Heiko Tietze 2022-05-23 08:37:29 UTC
Got it. The info applies only for the Emphasis category. But since you see the actual attributes in the effects frame below (after selection) I would prefer to keep the list clean. Other opinions?

Btw, MSO PP shows the number of the animation next to the object and the attributes in the ribbon on click.
Comment 9 Eyal Rozenberg 2022-05-23 09:31:16 UTC
(In reply to Heiko Tietze from comment #8)
> Got it. The info applies only for the Emphasis category. But since you see
> the actual attributes in the effects frame below (after selection) I would
> prefer to keep the list clean.

But you can never select more than a single effect. So if you have even three effects on the list, there are at least 2 unselected ones, and you can't tell them apart (e.g. "Color Blend" emphasis effect, once to Red, once to Green).

Now, if the list had very little space per item, then perhaps I would not insist, but there is plenty of white-space to put information in (so in my example, a rectangle with the color, or the color hex code). I would even not mind all that much if the extra info text was "washed" to gray.
Comment 10 Heiko Tietze 2022-05-27 09:13:45 UTC
We discussed the proposal in the design meeting and think it is beneficial in some situations and doesn't clutter too much. So more details in case of Emphasis animations are welcome.